I get 'Malformed UTF-8 character' errors on Red Hat 8, or using perl 5.8.0, with SA 2.43.

Perl 5.8 introduces a policy change to using UTF-8 character sets by default, which broke a massive amount of existing perl code, including SpamAssassin. SpamAssassin 2.50 will contain a fix, but in the meantime, add this line to the script which starts spamd, or runs the spamassassin script:

        LANG=en_US; export LANG

RedHatMalformedUtf8 (last edited 2009-09-20 23:17:14 by localhost)